Skip to content

Increase Disk size

PUT
/datasets/{Dataset_Id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"type": "pvc",
"pvc": {
"disk_size": 0,
"pvc_type": "string"
}
}'
Dataset_Id
required
integer

Dataset id

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
required

Name of the dataset

string
type
required

Type of the dataset

string
Allowed values: pvc
pvc

PVC configuration, required if type is pvc

object
disk_size
required

Disk size for the PVC

integer
pvc_type
required

Type of the PVC

string

Success response with updated PVC-based dataset details.

Media typeapplication/json
object
code

HTTP status code for the operation.

integer
data
object
id

Unique identifier of the dataset.

integer
name

Name of the dataset.

string
project_id

ID of the project associated with the dataset.

integer
description

Description of the dataset.

string
nullable
storage_type

Type of storage used for the dataset.

string
pvc
object
id

Unique identifier of the PVC.

integer
disk_size

Updated disk size of the PVC in GB.

integer
pvc_type

Type of PVC.

string
status

Current status of the PVC.

string
status_log

Log detailing the PVC status.

string
created_at

Timestamp of PVC creation.

string format: date-time
updated_at

Timestamp of last PVC update.

string format: date-time
bucket

Details of the bucket if applicable.

object
access_key

Access key details if applicable.

object
encryption_type

Type of encryption used.

string
nullable
encryption_enable

Indicates if encryption is enabled.

boolean
status

Status of the dataset.

string
created_by
object
id

User ID of the creator.

integer
name

Name of the creator.

string
email

Email of the creator.

string
username

Username of the creator.

string
created_at

Timestamp of dataset creation.

string format: date-time
updated_at

Timestamp of last update.

string format: date-time
errors

Any errors encountered during the operation.

object
message

Result message of the operation.

string

Example

{
"code": 200,
"data": {
"id": 1311,
"name": "tir-dataset-111418381010",
"project_id": 124,
"storage_type": "pvc",
"pvc": {
"id": 262,
"disk_size": 45,
"pvc_type": "custom_pvc",
"status": "ready",
"status_log": "{'message': 'Bound', 'phase': 'ready', 'state': ''}",
"created_at": "2024-11-14T13:08:17.551211Z",
"updated_at": "2024-11-14T13:12:25.137057Z"
},
"encryption_enable": false,
"status": "OK",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-14T13:08:17.555911Z",
"updated_at": "2024-11-14T13:12:25.131864Z"
},
"errors": {},
"message": "Disk Size upgraded successfully. It can take a few minutes for the changes to get reflected"
}